RegionAttributesType.EvictionAttributes.LruEntryCount (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: RegionAttributesType, class: EvictionAttributes, class: LruEntryCount

Package org.apache.geode.cache.configuration

# Class RegionAttributesType.EvictionAttributes.LruEntryCount

java.lang.Object
org.apache.geode.cache.configuration.RegionAttributesType.EvictionAttributes.LruEntryCount

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  RegionAttributesType.EvictionAttributes

public static class RegionAttributesType.EvictionAttributes.LruEntryCount extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="action" type="{http://geode.apache.org/schema/cache}enum-action-destroy-overflow" />
           <attribute name="maximum" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected EnumActionDestroyOverflow`
  `action`
  `protected String`
  `maximum`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LruEntryCount()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EnumActionDestroyOverflow`
  `getAction()`
  Gets the value of the action property.
  `String`
  `getMaximum()`
  Gets the value of the maximum property.
  `void`
  `setAction(EnumActionDestroyOverflow value)`
  Sets the value of the action property.
  `void`
  `setMaximum(String value)`
  Sets the value of the maximum property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### action

    protected EnumActionDestroyOverflow action

  - ### maximum

    protected String maximum

- ## Constructor Details

  - ### LruEntryCount

    public LruEntryCount()

- ## Method Details

  - ### getAction

    public EnumActionDestroyOverflow getAction()
    Gets the value of the action property. possible object is `EnumActionDestroyOverflow`
    Returns:
      the value of the action property

  - ### setAction

    public void setAction(EnumActionDestroyOverflow value)
    Sets the value of the action property. allowed object is `EnumActionDestroyOverflow`
    Parameters:
      `value` - the value of the action property

  - ### getMaximum

    public String getMaximum()
    Gets the value of the maximum property. possible object is `String`
    Returns:
      the value of the maximum property

  - ### setMaximum

    public void setMaximum(String value)
    Sets the value of the maximum property. allowed object is `String`
    Parameters:
      `value` - the value of the maximum property